Package org.apache.felix.http.proxy

## Class AbstractProxyServlet

- java.lang.Object
- - jakarta.servlet.GenericServlet
  - - jakarta.servlet.http.HttpServlet
    - - org.apache.felix.http.proxy.AbstractProxyServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `ProxyServlet`

    public abstract class AbstractProxyServlet
    extends jakarta.servlet.http.HttpServlet

See Also:
  Serialized Form

### Constructor Summary

Constructors
`AbstractProxyServlet()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `destroy()`
`protected abstract org.osgi.framework.BundleContext` `getBundleContext()`
`void` `init​(jakarta.servlet.ServletConfig config)`
`protected void` `service​(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractProxyServlet

    public AbstractProxyServlet()

### Method Detail

#### init

    public void init​(jakarta.servlet.ServletConfig config)
              throws jakarta.servlet.ServletException

Specified by:
  `init` in interface `jakarta.servlet.Servlet`
Overrides:
  `init` in class `jakarta.servlet.GenericServlet`
Throws:
  `jakarta.servlet.ServletException`

#### service

    protected void service​(jakarta.servlet.http.HttpServletRequest req,
                           jakarta.servlet.http.HttpServletResponse res)
                    throws jakarta.servlet.ServletException,
                           IOException

Overrides:
  `service` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `jakarta.servlet.Servlet`
Overrides:
  `destroy` in class `jakarta.servlet.GenericServlet`

#### getBundleContext

    protected abstract org.osgi.framework.BundleContext getBundleContext()
                                                                  throws jakarta.servlet.ServletException

Throws:
  `jakarta.servlet.ServletException`